Bug 962454 - Review Request: jboss-interceptors-1.2-api - Java(TM) EE Interceptors 1.2 API
Review Request: jboss-interceptors-1.2-api - Java(TM) EE Interceptors 1.2 API
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 962839
  Show dependency treegraph
 
Reported: 2013-05-13 10:23 EDT by gil cattaneo
Modified: 2013-05-25 23:43 EDT (History)
3 users (show)

See Also:
Fixed In Version: jboss-interceptors-1.2-api-1.0.0-0.1.Alpha3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-25 08:16:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-05-13 10:23:21 EDT
Spec URL: http://gil.fedorapeople.org/jboss-interceptors-1.2-api.spec
SRPM URL: http://gil.fedorapeople.org/jboss-interceptors-1.2-api-1.0.0-0.1.Alpha3.fc18.src.rpm
Description: The Java(TM) EE  Interceptors 1.2 API classes from JSR 318.
Fedora Account System Username: gil
Comment 1 gil cattaneo 2013-05-13 10:55:47 EDT
Required by hibernate-validator 5.0.1.Final
Comment 2 Tom "spot" Callaway 2013-05-16 10:24:02 EDT
= Review =

Good:

- rpmlint checks return nothing
- package meets naming guidelines
- package meets packaging guidelines
- license (CDDL or GPLv2 with exceptions) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream (c277187387bd795e3d71a959947249f5fb46424296d52ec1876343954c20db58)
- package compiles on f19 (noarch)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- -javadocs ok
- nothing in %doc affects runtime
- no need for .desktop file

APPROVED.
Comment 3 gil cattaneo 2013-05-16 10:32:14 EDT
Thanks for the review

New Package SCM Request
=======================
Package Name: jboss-interceptors-1.2-api
Short Description: Java(TM) EE Interceptors 1.2 API
Owners: gil
Branches: f18 f19
InitialCC: java-sig
Comment 4 Gwyn Ciesla 2013-05-16 11:33:19 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-05-16 12:16:36 EDT
jboss-interceptors-1.2-api-1.0.0-0.1.Alpha3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/jboss-interceptors-1.2-api-1.0.0-0.1.Alpha3.fc19
Comment 6 Fedora Update System 2013-05-16 12:34:58 EDT
jboss-interceptors-1.2-api-1.0.0-0.1.Alpha3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/jboss-interceptors-1.2-api-1.0.0-0.1.Alpha3.fc18
Comment 7 Fedora Update System 2013-05-16 23:23:30 EDT
jboss-interceptors-1.2-api-1.0.0-0.1.Alpha3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 8 Fedora Update System 2013-05-25 08:16:24 EDT
jboss-interceptors-1.2-api-1.0.0-0.1.Alpha3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 9 Fedora Update System 2013-05-25 23:43:27 EDT
jboss-interceptors-1.2-api-1.0.0-0.1.Alpha3.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.